Bug 7289 - Не хранит настройки
: Не хранит настройки
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator-control)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 7079 14320
  Show dependency tree
 
Reported: 2005-07-05 12:49 by
Modified: 2013-08-15 18:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-05 12:49:50
После изменения свойств отмеченного в списке объекта изменения теряются при 
выборе другого элемента списка. Т.е. необходимо жать "Применить" перед выбором 
другого элемента.
------- Comment #1 From 2005-07-05 14:30:54 -------
Это не бага. Так и задумано. 
------- Comment #2 From 2005-07-05 17:34:44 -------
(In reply to comment #1) 
> Это не бага. Так и задумано.  
Верю, но это баг. 
------- Comment #3 From 2005-07-05 17:43:18 -------
А я так не считаю. 
------- Comment #4 From 2005-07-06 15:11:54 -------
(In reply to comment #3) 
> А я так не считаю.  
Зря, все остальные считают. 
 
------- Comment #5 From 2005-07-06 15:46:39 -------
См. https://bugzilla.altlinux.org/show_bug.cgi?id=7288#c5
------- Comment #6 From 2005-07-06 16:42:26 -------
Я сделал предупреждение о наличии не сохраненных при переходе с одной facility
на другую. Теперь уйти и молча потерять изменения просто нельзя. Можно только
сознательно от них отказаться.

Прошу проверить следующую версию и подтвердить ошибку. Новая варсия будет
сегодня.
------- Comment #7 From 2005-07-06 16:49:31 -------
Нужно ли мне объяснять почему _нельзя_ накапливать изменения статусов facility,
а потом применять их одним скопом или это и так понятно ? 
------- Comment #8 From 2005-07-06 17:29:01 -------
(In reply to comment #6) 
> Я сделал предупреждение о наличии не сохраненных при переходе с одной 
> facility 
> Теперь уйти и молча потерять изменения просто нельзя. Можно только 
> сознательно от них отказаться. 
Если в диалоге предупреждения есть кнопка "Применить", то лично я полностью 
удовлетворен. 
 
------- Comment #9 From 2005-07-06 18:20:18 -------
(In reply to comment #8)
> Если в диалоге предупреждения есть кнопка "Применить", то лично я полностью 
> удовлетворен. 

Разумеется есть. Если ты что-то изменил в facility и хочешь идти к следующей, то
у тебя спросят сохранить ли изменения или забыть о них ... вообщем смотри на
новую версию.
------- Comment #10 From 2005-07-06 19:54:13 -------
(In reply to comment #7)
> Нужно ли мне объяснять почему _нельзя_ накапливать изменения статусов facility,
> а потом применять их одним скопом или это и так понятно ? 
Не совсем понятно, объясните, пожалуйста.
------- Comment #11 From 2005-07-06 20:37:39 -------
(In reply to comment #10)
> Не совсем понятно, объясните, пожалуйста.

control - это не только и не столько система управления правами. Это система
отслеживания и управлния профилями некоторых объектов. Профилем может являться
почти все что угодно. Права, содержимое конфигов - это частный случай. Объектом
 также может являться любая сущность.
Следовательно, вполне возможна ситуация когда изменение статуса в одном объекте
приведет к изменению статуса в другом объекте. 

Например (несколько грубый, но пустите в ход воображение): Мы решили создать
уровни безопасности для apache. Тогда изменение этого уровня может повлечь
изменение статуса в mod_php.

Тогда если эта ситуация возможна (а она возможна т.к. никаких ограничений на
facility не накладывается) будет влиять порядок изменения статусов. Зарание
сказать, что будет после применения изменений просто нельзя. 

На мой взгляд, это ведет к ослаблению контроля за системой. 
------- Comment #12 From 2005-07-06 20:42:29 -------
резонно
------- Comment #13 From 2005-07-06 20:44:29 -------
Вопрос снят, большое спасибо. Тогда я полностью согласен с реализацией,
описанной в #6.
------- Comment #14 From 2005-08-29 20:16:12 -------
fixed
------- Comment #15 From 2005-08-30 20:27:12 -------
Не, при переходе на другой элемент он показывает диалог, несмотря на то, что 
перед этим была нажата кнопка Apply. 
alterator-control-0.1.2.2-alt2 
------- Comment #16 From 2005-12-12 16:53:26 -------
(In reply to comment #0)
> После изменения свойств отмеченного в списке объекта изменения теряются при 
> выборе другого элемента списка. Т.е. необходимо жать "Применить" перед выбором 
> другого элемента.

Товарищ Alexey Gladkov!

Пользователя не интересует, почему нельзя накапливать изменения статусов 
facility, а потом применять их одним скопом. Пользователи хотят нормальный 
интерфейс. Никого не интересует объектная модель, применяемая при 
конфигурировании. (Кстати, невозможность построить нормальный интерфейс с 
помощью этих объектов, свидетельствует о том, что объектная модель неправильно 
сконструирована).

Неужели вы не хотите сделать хорошо? Сделать так, как должно быть? Показывание 
предупреждений при переходе между facility - это костыли, а не решение проблеммы
------- Comment #17 From 2005-12-12 17:00:58 -------
Мда, товарищи... И как я тут опять оказался? 
Более идиоцкий интерфейс чем у багзиллы я тока у vi видел..
------- Comment #18 From 2005-12-12 17:11:32 -------
Уважаемый bugzilla administrator, сделай пожалуйста так, чтобы сообщения от
этого перца (который только что сюда какую-то гадость запостил) больше никогда
до меня не доходили.
А если удастся его уговорить навсегда уйти с нашей bugzilla куда-нибудь на LOR,
будет совсем хорошо.
------- Comment #19 From 2005-12-12 17:14:28 -------
Думается мне надо вешать баг на control. Тогда можно будет сделать и красивый
интерфейс.

Необходим какой-либо способ определить повлечёт ли изменение данного facility
изменение каких-либо ещё. И при apply получит реальную информацию что было
изменено.

Другой вариант решения -- таки накопить изменения, применить их, и если были
какие-либо side effects выдать предупреждение с их списком.
------- Comment #20 From 2005-12-12 19:27:53 -------
не понял 
------- Comment #21 From 2006-09-27 13:31:00 -------
(In reply to comment #19)
> Думается мне надо вешать баг на control. Тогда можно будет сделать и красивый
> интерфейс. 
> Необходим какой-либо способ определить повлечёт ли изменение данного facility
> изменение каких-либо ещё. И при apply получит реальную информацию что было
изменено.

Почитай control, тебе расхочется такую муру туда даже думать тащить.  Тем более
что это всё равно нереально -- человек, который пишет рулесы, завсегда умнее
машины и сможет ошибиться как-нить по-новому.

Тут действительно дешевле и лучше атомарные решения, чем гирлянды.  Я бы
закрывал багу.
------- Comment #22 From 2006-09-27 16:44:21 -------
Сейчас интерфейс существенно переработан, никаких накоплений данных делать не
требуется - всё и так слишком наглядно. Дальшнейшее обсуждение интерфейса
control считаю бесплодным.
------- Comment #23 From 2006-09-28 15:36:39 -------
Не исправлено
------- Comment #24 From 2006-09-28 15:48:48 -------
тогда пусть себе висит - я ничего менять не собираюсь.
------- Comment #25 From 2006-09-28 16:07:26 -------
Не правда, у тебя тоже не работает. Резолвить нужно тогда с WONTFIX
------- Comment #26 From 2007-03-08 20:31:41 -------
worksforme
------- Comment #27 From 2007-03-09 18:29:54 -------
Все еще не работает.
А та кнопка внизу - изврат натуральный.
Для таких вещей есть щелчок и двойной щелчок.
И даже называется она неправльно.

P.S.
Я общелкался, пока эту кнопку заметил :-)
------- Comment #28 From 2008-07-15 14:45:50 -------
У нас тут не так давно с коллегой вышел диспут по схожей проблеме
(применительно к alterator-ltsconf).

Вообще говоря, необходимо выработать полиси по тому, как обращаемся с
состоянием множества объектов, доступных в модуле.  И если возможно несколько
вариантов -- как оформить их в одном стиле на вариант ("менять по одному,
подтверждать каждый, иначе предупреждение/применялка при попытке смены объекта"
/ "менять кучей, метить изменённые как-то одинаково, по apply применять все
изменения").
------- Comment #29 From 2008-12-18 20:35:49 -------
(In reply to comment #6)
> Я сделал предупреждение о наличии не сохраненных при переходе с одной facility
> на другую.
Не вижу никаких предупреждений
alterator-control-1.0-alt3
------- Comment #30 From 2011-02-08 23:19:59 -------
(В ответ на комментарий №29)
> (In reply to comment #6)
> > Я сделал предупреждение о наличии не сохраненных при переходе с одной facility
> > на другую.
> Не вижу никаких предупреждений
> alterator-control-1.0-alt3

Аналогично:
alterator-control-2.1-alt1
------- Comment #31 From 2013-08-15 18:55:08 -------
apparently wontfix